from time import time_ns
from typing import List
from unittest.mock import Base
from uuid import UUID
from pydantic import BaseModel, Field

from . import cpu, memory, disk, network

class StatsDom(BaseModel):
    domain:UUID
    cpu:cpu.CPU
    memory:memory.Memory
    network:List[network.Interface]
    disk:List[disk.Disk]

class Stats(BaseModel):
    doms:List[StatsDom] = Field()